Home

# Class goog.storage.RichStorage

Provides a storage for data with attached metadata.

extends goog.storage.Storage

Instance Method Summary
| `get(string key) ⇒ <Any Type>` Get an item from the data storage.
| `getWrapper(string key) ⇒ (Object|undefined)` Get an item wrapper (the item and its metadata) from the storage. WARNING: This returns an Object, which once used to be goog.storage.RichStorage.Wrapper. This is due to the fact that deserialized objects loose type information and it is hard to do proper typecasting in JavaScript. Be sure you know what you are doing when using the returned value.
| `set(string key, <Any Type> value)` Set an item in the data storage.